Updated from global requirements

Change-Id: I9f0773836a392b3a51490dc7cbf334f18407f009
changes/36/201336/26
OpenStack Proposal Bot 8 years ago
parent 04cdaa0ede
commit 3c8696791c

@ -2,14 +2,14 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=0.11
pbr<2.0,>=1.3
anyjson>=0.3.3
Babel>=1.3
enum34;python_version=='2.7' or python_version=='2.6'
eventlet>=0.17.4
greenlet>=0.3.2
iso8601>=0.1.9
keystonemiddleware>=1.5.0
keystonemiddleware>=2.0.0
kombu>=3.0.7
lxml>=2.3
netaddr>=0.7.12
@ -17,15 +17,15 @@ oslo.config>=1.11.0 # Apache-2.0
oslo.concurrency>=2.1.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=1.12.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.messaging!=1.12.0,>=1.8.0 # Apache-2.0
oslo.middleware!=2.0.0,>=1.2.0 # Apache-2.0
oslo.log>=1.6.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.4.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.1.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.1.0 # Apache-2.0
oslo.utils>=1.6.0 # Apache-2.0
oslo.utils>=1.9.0 # Apache-2.0
oslo.versionedobjects!=0.5.0,>=0.3.0
osprofiler>=0.3.0 # Apache-2.0
paramiko>=1.13.0
@ -39,8 +39,9 @@ python-novaclient>=2.22.0
python-swiftclient>=2.2.0
requests>=2.5.2
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3
taskflow>=0.11.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
taskflow>=1.16.0
rtslib-fb>=2.1.41
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.7
@ -49,5 +50,5 @@ stevedore>=1.5.0 # Apache-2.0
suds-jurko>=0.6
WebOb>=1.2.3
oslo.i18n>=1.5.0 # Apache-2.0
oslo.vmware>=0.13.1 # Apache-2.0
oslo.vmware>=1.16.0 # Apache-2.0
os-brick

@ -25,5 +25,5 @@ except ImportError:
pass
setuptools.setup(
setup_requires=['pbr'],
setup_requires=['pbr>=1.3'],
pbr=True)

@ -9,12 +9,11 @@ coverage>=3.6
ddt>=0.7.0
discover
fixtures>=1.3.1
mock>=1.1;python_version!='2.6'
mock==1.0.1;python_version=='2.6'
mock>=1.2
mox3>=0.7.0
PyMySQL>=0.6.2 # MIT License
psycopg2
oslotest>=1.5.1 # Apache-2.0
oslotest>=1.7.0 # Apache-2.0
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2
python-subunit>=0.0.18
testtools>=1.4.0

Loading…
Cancel
Save